> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/CashDeclarationPayments ## OpenAPI ````json GET /v26.4/CashDeclarationPayments { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/CashDeclarationPayments": { "get": { "tags": [ "CashDeclarationPayments" ], "parameters": [ { "name": "CashDeclarationId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CashDeclarationAttributeId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "LedgerId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "DueDate", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "Description", "in": "query", "schema": { "type": "string" } }, { "name": "PaymentType", "in": "query", "schema": { "$ref": "#/components/schemas/CashDeclarationPaymentType" } }, { "name": "PosTerminalId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "PosUserId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationPaymentDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationPaymentDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationPaymentDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "CashDeclarationPaymentType": { "enum": [ "NotSpecified", "NormalPayment", "InvoicePayment", "PrePayment" ], "type": "string" }, "ViewCashDeclarationPaymentDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "cashDeclarationAttributeId": { "type": "integer", "format": "int32", "nullable": true }, "posTerminalId": { "type": "integer", "format": "int32", "nullable": true }, "eftDeviceNumber": { "type": "integer", "format": "int32", "nullable": true }, "amount": { "type": "number", "format": "double", "nullable": true }, "ledgerId": { "type": "integer", "format": "int32", "nullable": true }, "dueDate": { "type": "string", "format": "date-time", "nullable": true }, "description": { "type": "string", "nullable": true }, "reference": { "type": "string", "nullable": true }, "cashSaleRowId": { "type": "integer", "format": "int32", "nullable": true }, "paymentType": { "$ref": "#/components/schemas/CashDeclarationPaymentType" }, "invoiceSaleId": { "type": "integer", "format": "int32", "nullable": true }, "invoiceId": { "type": "integer", "format": "int32", "nullable": true }, "paymentTypeId": { "type": "integer", "format": "int32", "nullable": true }, "posTerminalNumber": { "type": "integer", "format": "int32", "nullable": true }, "posTerminalDescription": { "type": "string", "nullable": true }, "eftDescription": { "type": "string", "nullable": true }, "conceptInvoiceNumber": { "type": "integer", "format": "int32", "nullable": true }, "invoiceNumber": { "type": "integer", "format": "int32", "nullable": true }, "cashSaleTransactionNumber": { "type": "integer", "format": "int32", "nullable": true }, "invoiceSaleTransactionNumber": { "type": "integer", "format": "int32", "nullable": true }, "prePaymentNumber": { "type": "integer", "format": "int32", "nullable": true }, "paymentTypeDescription": { "type": "string", "nullable": true }, "isCompressLedger": { "type": "boolean", "default": false }, "posPaymentType": { "$ref": "#/components/schemas/PaymentType" }, "debtorId": { "type": "integer", "format": "int32", "nullable": true }, "debtorNumber": { "type": "integer", "format": "int64", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false }, "PaymentType": { "enum": [ "NotSpecified", "Cash", "EFT", "Chip", "Cheque", "Voucher", "CreditCard", "ManualEftSwipe", "CashGuard", "GiftCard", "CashproCM18", "PreApprovedEFT", "NoCustomerEft", "PspPayment", "Invoice" ], "type": "string" } } } } ````